<div class="agency-site-maintenance">
  <app-content-banner [isDashboard]="false" [isTutorialRequired]="true" [TutorialPageName]="'agency-site-profile'" pageName="Agency Site Maintenance"></app-content-banner>

  <mat-card class="ags-main-card  mat-elevation-z0">
    <mat-card class="inner-card-full" [class.mat-elevation-z0]="true" *ngIf="isIH === true">
      <mat-card-content fxLayout="row" fxLayout.lt-sm="column" fxLayoutAlign="start" fxLayoutGap="10px">
        <button mat-icon-button color="primary" routerLink="/admin/createagencysite">
          <mat-icon>business</mat-icon>
          <span class="btn-text">Add New Agency</span>
        </button>
        <button mat-icon-button color="primary" routerLink="/admin/createsite">
          <mat-icon>dvr</mat-icon>
          <span class="btn-text">Add New Site</span>
        </button>
        <button mat-icon-button color="primary" routerLink="/admin/transfersite">
          <mat-icon>assignment_turned_in</mat-icon>
          <span class="btn-text">Transfer Site</span>
        </button>
      </mat-card-content>
    </mat-card>

    <mat-card class="inner-card-full" [class.mat-elevation-z0]="true" *ngIf="isHP === true || RA === true">
      <mat-card-content fxLayout="row" fxLayout.lt-sm="column" fxLayoutAlign="start" fxLayoutGap="10px">
        <button mat-icon-button color="primary" routerLink="/admin/new-site-request">
          <mat-icon>dvr</mat-icon>
          <span class="btn-text">Request New Site</span>
        </button>
      </mat-card-content>
    </mat-card>

    <mat-card-header class="mat-card-header" fxLayout="column" fxLayoutGap="5px">
      <div *ngIf="isHP == true" class="top-header-filter" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
        <div fxFlex="10" class="left-text">
          <span style="font-weight: 700;">Agency Name : &nbsp;</span>
        </div>
        <div fxFlex="30" class="left-text">
          <span style="font-weight: 400;">{{agencyName}} &nbsp;</span>
        </div>
        <div fxFlex="40" class="left-text">
          <span style="font-weight: 700;">Agency Address: &nbsp;</span> {{agencyAddress}}
        </div>
      </div>
      <div *ngIf="isIH === true" class="top-header-filter" fxLayout="row" fxLayoutGap="10px">
        <div fxFlex="10" class="left-text">
          <span style="font-weight: 700;">Agency Name : &nbsp;</span>
        </div>
        <div fxFlex="60" class="right-text regular-mat-form-field">
            <mat-form-field appearance="outline" class='regular-mat-form-field '
                  style='width:500px; height:20px!important'>
                  <input matInput aria-label="AgencyID" [matAutocomplete]="auto" [formControl]="searchStringCtrl"
                    placeholder="Select one">
                  <mat-icon matSuffix>search</mat-icon>
                  <mat-autocomplete #auto="matAutocomplete" >
                    <mat-option style="height: 30px;font-size:0.9em" *ngFor="let agency of filteredAgencyData | async"
                      [value]='agency.agencyNo + " - "  + agency.name'  [value]="agency.agencyID" (onSelectionChange)="refreshSites(agency.agencyID)">
                      {{ agency.agencyNo }} - {{ agency.name }}
                    </mat-option>
                  </mat-autocomplete>
                </mat-form-field>

         <!-- <mat-form-field appearance="outline" style='width:500px'>
            <mat-select>
              <mat-option *ngFor="let agency of agencyList" [value]="agency.agencyID" (click)="refreshSites(agency.agencyID)">
                {{agency.agencyNo}} - {{agency.name}}
              </mat-option>
            </mat-select>
          </mat-form-field>-->
          <button mat-raised-button (click)="gridRefresh(agencyID)">GO</button>
          <button mat-raised-button (click)="editAgencydetail(agencyID)" style='width:100px!important; height:30px!important'>Edit Agency</button>
        </div>
        <div fxFlex="30" class="left-text">
          <span style="font-weight: 700;">Agency Address: &nbsp;</span> {{agencyAddress}}
        </div>
      </div>
    </mat-card-header>

    <mat-card-content>
      <div class="content-sub">
        <span class="toolbar-spacer"></span>
        <div class="content-sub-middle"> &nbsp; </div>
        <span class="toolbar-spacer"></span>
      </div>
      <div class="content-sub">
        <div class="example-small-box mat-elevation-z4" fxLayout="column">
          <div class="table-filters-header" fxLayout="column">
            <div fxLayout="row" fxLayoutAlign="start">
              <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                <mat-icon (click)="refreshAgGrid()" color="primary" matTooltip="Reset the filters">refresh
                </mat-icon>
                <mat-icon (click)="onBtExport()" color="primary" matTooltip="Export to Excel">save</mat-icon>
                <!--<mat-icon (click)="printPage()" color="primary" matTooltip="Export to Excel">print</mat-icon>-->
              </div>
            </div>
          </div>
          <ag-grid-angular #agGrid id="myGrid" style="width: 100%" class="ag-theme-balham my-grid"
            [columnDefs]="columnDefs" [defaultColDef]="defaultColDef" [rowData]="rowData" [rowSelection]="rowSelection"
            [singleClickEdit]="true" [floatingFilter]="false" [animateRows]="true" [gridOptions]="gridOptions"
            [pagination]="pagination" [paginationPageSize]="25" [context]="context" (firstDataRendered)="onFirstDataRendered($event)"
            (rowSelected)="onRowSelected($event)" [frameworkComponents]="frameworkComponents" (gridReady)="onGridReady($event)"
            [overlayLoadingTemplate]="overlayLoadingTemplate" [overlayNoRowsTemplate]="overlayNoRowsTemplate"></ag-grid-angular>

        </div>
      </div>

    </mat-card-content>
  </mat-card>
</div>